Autor Tema: Fallo al compilar bird 1.6.0  (Leído 2112 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Foguet

  • Visitante
Fallo al compilar bird 1.6.0
« en: 24-05-2016, 16:39 (Martes) »
Hola,
Llevo un par de días volviendome loco y no le encuentro el fallo...
Con la última actualización del paquete bird  en los repositorios a la versión 1.6.0 al intentar compilar cualquier versión de OpenWRT/Lede, me da fallo en librerías faltantes que tengo instaladas.
¿alguien puede echarme una mano? Gracias!!
Código: [Seleccionar]
checking for add_history in -lhistory... yes
checking for tgetent in -lncurses... no
checking for tgetent in -lcurses... no
checking for tgetent in -ltinfow... no
checking for tgetent in -ltinfo... no
checking for tgetent in -ltermcap... no
configure: error: The client requires ncurses library. Either install the library or use --disable-client to compile without the client.
Makefile:209: recipe for target '/home/cayetano/lede/build_dir/target-arm_cortex-a9+vfpv3_musl-1.1.14_eabi/bird-1.6.0/.configured_yyyyyyyyyy' failed
make[2]: *** [/home/cayetano/lede/build_dir/target-arm_cortex-a9+vfpv3_musl-1.1.14_eabi/bird-1.6.0/.configured_yyyyyyyyyy] Error 1
make[2]: Leaving directory '/home/cayetano/lede/feeds/routing/bird'
package/Makefile:187: recipe for target 'package/feeds/routing/bird/compile' failed
make[1]: *** [package/feeds/routing/bird/compile] Error 2



Conectado Tki2000

  • Moderador
  • *
  • Mensajes: 2113
Re: Fallo al compilar bird 1.6.0
« Respuesta #1 en: 24-05-2016, 19:49 (Martes) »
Hola,
Llevo un par de días volviendome loco y no le encuentro el fallo...
Con la última actualización del paquete bird  en los repositorios a la versión 1.6.0 al intentar compilar cualquier versión de OpenWRT/Lede, me da fallo en librerías faltantes que tengo instaladas.
¿alguien puede echarme una mano? Gracias!!
Código: [Seleccionar]
checking for add_history in -lhistory... yes
checking for tgetent in -lncurses... no
checking for tgetent in -lcurses... no
checking for tgetent in -ltinfow... no
checking for tgetent in -ltinfo... no
checking for tgetent in -ltermcap... no
configure: error: The client requires ncurses library. Either install the library or use --disable-client to compile without the client.
Makefile:209: recipe for target '/home/cayetano/lede/build_dir/target-arm_cortex-a9+vfpv3_musl-1.1.14_eabi/bird-1.6.0/.configured_yyyyyyyyyy' failed
make[2]: *** [/home/cayetano/lede/build_dir/target-arm_cortex-a9+vfpv3_musl-1.1.14_eabi/bird-1.6.0/.configured_yyyyyyyyyy] Error 1
make[2]: Leaving directory '/home/cayetano/lede/feeds/routing/bird'
package/Makefile:187: recipe for target 'package/feeds/routing/bird/compile' failed
make[1]: *** [package/feeds/routing/bird/compile] Error 2

Yo acabo de compilar esa misma versión 1.6.0 para la revisión r49199 y no me ha dado ningún error.
Intenta instalar las bibliotecas ncurses y ncurses-devel para tu sistema (que no dices cual es), a ver si soluciona algo.
No habrás entendido algo, hasta que seas capaz de explicárselo a tu abuela...
Hacemos pantallas con píxeles casi invisibles, para luego ampliar la letra porque no la vemos... Bonita paradoja...
Creamos analfabetos tecnológicos con una velocidad pasmosa. Todo el mundo "maneja" tecnología, casi nadie sabe lo que tiene entre las manos, pero todo el mundo opina.
El analfabetismo, antes, pasaba desapercibido. Ahora, se transmite por Internet y las redes sociales.
Los dispositivos táctiles y las pantallas pequeñas son una lacra para la información relevante y el desarrollo de interfaces de usuario.
Trabajar sin la nube debería ser una prestación de los IoT, no un bug.

Noltari

  • Visitante
Re: Fallo al compilar bird 1.6.0
« Respuesta #2 en: 25-05-2016, 08:49 (Miércoles) »
Hola,
Llevo un par de días volviendome loco y no le encuentro el fallo...
Con la última actualización del paquete bird  en los repositorios a la versión 1.6.0 al intentar compilar cualquier versión de OpenWRT/Lede, me da fallo en librerías faltantes que tengo instaladas.
¿alguien puede echarme una mano? Gracias!!
Código: [Seleccionar]
checking for add_history in -lhistory... yes
checking for tgetent in -lncurses... no
checking for tgetent in -lcurses... no
checking for tgetent in -ltinfow... no
checking for tgetent in -ltinfo... no
checking for tgetent in -ltermcap... no
configure: error: The client requires ncurses library. Either install the library or use --disable-client to compile without the client.
Makefile:209: recipe for target '/home/cayetano/lede/build_dir/target-arm_cortex-a9+vfpv3_musl-1.1.14_eabi/bird-1.6.0/.configured_yyyyyyyyyy' failed
make[2]: *** [/home/cayetano/lede/build_dir/target-arm_cortex-a9+vfpv3_musl-1.1.14_eabi/bird-1.6.0/.configured_yyyyyyyyyy] Error 1
make[2]: Leaving directory '/home/cayetano/lede/feeds/routing/bird'
package/Makefile:187: recipe for target 'package/feeds/routing/bird/compile' failed
make[1]: *** [package/feeds/routing/bird/compile] Error 2
Creo recordar que se hicieron cambios en ncurses, que es donde te está fallando.
¿Has probado a recompilar LEDE desde 0?
Código: [Seleccionar]
make distclean
make menuconfig
...

Saludos!

Foguet

  • Visitante
Re: Fallo al compilar bird 1.6.0
« Respuesta #3 en: 25-05-2016, 12:41 (Miércoles) »
Muchas Gracias!
Anoche hice una limpieza completa como comentaba Noltari y efectivamente funcionó, ahora ya me compila todo.